libreoffice/libreoffice.spec
Petr Mladek 11a530a46c Accepting request 172472 from LibreOffice:Unstable
- buildfix-sfx2-dependency.diff: svx headers started to be used in sfx2

* solenv-touch-no-dereference.diff: touch --no-dereference in not
  available on SLED11-SP1 and it is not needed when not using hardlinks

OBS-URL: https://build.opensuse.org/request/show/172472
OBS-URL: https://build.opensuse.org/package/show/LibreOffice:Factory/libreoffice?expand=0&rev=31
2013-04-19 12:50:40 +00:00

2141 lines
76 KiB
RPMSpec

#
# spec file for package libreoffice
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
Name: libreoffice
BuildRequires: ImageMagick
BuildRequires: ant
BuildRequires: ant-apache-regexp
BuildRequires: ant-nodeps
BuildRequires: bison
BuildRequires: boost-devel
BuildRequires: cups-devel
BuildRequires: curl-devel
BuildRequires: dbus-1-glib-devel
BuildRequires: fdupes
BuildRequires: flac-devel
BuildRequires: flex
BuildRequires: gcc-c++
BuildRequires: gnome-vfs2-devel
BuildRequires: gperf
BuildRequires: gtk2-devel
BuildRequires: hunspell-devel
BuildRequires: icu
BuildRequires: java-devel >= 1.6
BuildRequires: kdelibs3-devel
BuildRequires: krb5-devel
BuildRequires: libcppunit-devel
BuildRequires: libexif
BuildRequires: libicu-devel
BuildRequires: libkde4-devel
BuildRequires: libmysqlclient-devel
BuildRequires: libxml2-devel
#BuildRequires: libzip-devel
BuildRequires: lpsolve-devel
BuildRequires: neon-devel
BuildRequires: pam-devel
BuildRequires: patch
BuildRequires: perl-Archive-Zip
BuildRequires: perl-Compress-Zlib
BuildRequires: postgresql-devel
BuildRequires: procps
BuildRequires: python-devel
BuildRequires: recode
BuildRequires: unixODBC-devel
BuildRequires: unzip
BuildRequires: xml-commons-apis
BuildRequires: zip
BuildRequires: db-devel
BuildRequires: krb5
BuildRequires: openldap2-devel
BuildRequires: python-xml
BuildRequires: xorg-x11
BuildRequires: xorg-x11-fonts
BuildRequires: xz
############################
# GTK3 stuff
%if 0%{?suse_version} >= 01210
BuildRequires: gtk3-devel
%endif
############################
# mysql stuff
%if 0%{?suse_version} >= 01230
# mysqlcppconn >= 1.0.6 is needed
BuildRequires: libmysqlcppconn-devel
%endif
############################
# mozilla stuff
BuildRequires: mozilla-nspr-devel
BuildRequires: mozilla-nss-devel
############################
# expat stuff
%if 0%{?suse_version} > 01100
# libexpat-devel is explicitely needed since openSUSE-11.1
BuildRequires: libexpat-devel
%endif
############################
# Bluetooth stuff
BuildRequires: bluez-devel
############################
# poppler is needed to build the PDF import
BuildRequires: libpoppler-devel
############################
# junit stuff
%if %suse_version > 1110
BuildRequires: junit4
%endif
############################
# mono stuff
%if 0%{?suse_version} <= 01130
BuildRequires: mono-devel
%endif
############################
# post openSUSE 12.3 features
############################
%if 0%{?suse_version} > 01230
# openSUSE 12.3 features
BuildRequires: libcmis-devel
%endif
%if 0%{?suse_version} >= 01230
BuildRequires: clucene-core-devel
BuildRequires: graphite2-devel
BuildRequires: hyphen-devel
BuildRequires: libcdr-devel
BuildRequires: libexttextcat-devel
BuildRequires: liblangtag-devel
BuildRequires: libmspub-devel
BuildRequires: liborcus-devel
BuildRequires: libredland-devel
BuildRequires: libvisio-devel
BuildRequires: mdds-devel
BuildRequires: mythes-devel
BuildRequires: ucpp
# FIXME: should be removed once the lixed liborcus package is in Factory
BuildRequires: libzip-devel
%endif
############################
# openSUSE 11.4 features
%if 0%{?suse_version} >= 01140
BuildRequires: liblcms2-devel
BuildRequires: librsvg-devel
BuildRequires: libwpd-devel
BuildRequires: libwpg-devel
BuildRequires: libwps-devel
BuildRequires: vigra-devel
%endif
############################
# CODE10 features
############################
%if 0%{?suse_version} > 01000
BuildRequires: gstreamer010-plugins-base-devel
BuildRequires: python-lxml
%endif
# FIXME: part of the language-dependant stuff is still built here and
# put into the -devel package
# test_build_langs: 0 = only en-US
# 1 = en-US, de, and cs
# 2 = all supported languages
%define test_build_langs 2
# test_build_SDK: 0 = no
# 1 = yes (if possible, see below the definition of lo_build_sdk)
%define test_build_sdk 1
# build_mono: 1 = yes
# 0 = no (pack just a README file)
%define build_mono 0
# save_space: 0 = no
# 1 = yes (do some hacks to safe space in the installation phase)
%define save_space 1
# debug_build: 0 = no
# 1 = yes (wether to use ccache or not)
%define debug_build 0
# prepare_build: 0 = no
# 1 = yes (just build, install and create packages; without %%prep section and configure)
%define prepare_build 1
#
%if %test_build_langs == 0
%define lo_langs ""
%else
%if %test_build_langs == 1
%define lo_langs "en-US cs de hu ja"
%else
%define lo_langs "en-US af am ar as ast be bg br ca cs cy da de el en-GB en-ZA eo es et eu fi fr ga gd gl gu he hi hu hr id is it ja ka km kn ko lt mk ml mr nb nl nn nr om or pa-IN pl pt pt-BR ro ru rw sh sk sl sr ss st sv ta te tg th tr ts ug uk ve vi xh zh-TW zh-CN zu"
%endif
%endif
%define lo_poor_help_localizations "af ar be br cy ga he hr ka lt nn nr pa-IN rw sh sr ss st tg th th ts uk ve xh zu"
# sdk stuff enable only on SL 10.2, SLED10 and higher
# force no if test_build_sdk is disabled
%if %test_build_sdk == 0
%define lo_build_sdk no
%else
%if 0%{?suse_version} > 01010 || 0%{?sles_version} == 010
%define lo_build_sdk yes
%else
%define lo_build_sdk no
%endif
%endif
# python paths
%if 0%{?suse_version} <= 01110
%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; import sys; sys.stdout.write(get_python_lib())")
%endif
# LO paths
%define lo_prefix %_libdir
%define lo_home libreoffice
# helper tools
%define gnu_make_version 3.82
%define gnu_make_snapshot 20120301
%define zip_version 3.0
# extensions
%define ct2n_version 1.3.2
%define gdocs_version 3.0.1
%define numbertext_version 0.9.5
Version: 4.0.2.2.1
Release: 0
Requires: libreoffice-branding >= 4.0
Requires: libreoffice-icon-themes = %version
# we need a JRE for oobase and the other stuff
%if 0%{?suse_version}
# gij is enough on SL 10.1 and higher
%if 0%{?suse_version} > 01000
# ---
%ifarch %ix86
# the 32-bit build requires 32-bit JRE, #222708
Recommends: jre-32 >= 1.6
%endif
# ---
%ifarch x86_64
%if 0%{?suse_version} > 01020
Recommends: jre-64 >= 1.6
%endif
# the 64-bit build does not work with Sun Java on older distributions, #219982
%if 0%{?suse_version} == 01020
Requires: gcc-gij
%endif
%if 0%{?suse_version} && 0%{?suse_version} < 01020
Requires: libgcj
%endif
%endif
# ---
%ifarch ppc
%if 0%{?suse_version} > 01020
Recommends: jre-32 >= 1.6
%endif
# there were problems with the commercial Java on ppc on older distribtions
%if 0%{?suse_version} == 01020
Requires: gcc-gij
%endif
%if 0%{?suse_version} && 0%{?suse_version} < 01020
Requires: libgcj
%endif
%endif
%endif
%endif
# ---
# post install scripts
%if 0%{?suse_version} > 01120
Requires(pre): findutils
Requires(post): gtk2 coreutils grep zip
Requires(postun): gtk2 coreutils
%endif
%if 0%{?suse_version} && 0%{?suse_version} <= 01120
PreReq: gtk2 findutils coreutils grep zip
%endif
# compat stuff
# bootstrap package
Provides: OpenOffice_org-bootstrap = %version
Obsoletes: OpenOffice_org-bootstrap < %version
# libreoffice package
Provides: OpenOffice_org = %version
Obsoletes: OpenOffice_org <= %version
# compatibility with the older split build used in the Build Service (bnc#471280)
# the l10n package was available only for a short time
# during the 11.1 alpha phase
Provides: OpenOffice_org-l10n-en-US = %version
Obsoletes: OpenOffice_org-l10n-en-US <= %version
# some other compat suff
Provides: OpenOffice_org17
Obsoletes: OpenOffice_org17
Provides: OpenOffice_org-en
Provides: OpenOffice_org-en-help
Provides: OpenOffice_org2
Obsoletes: OpenOffice_org-en
Obsoletes: OpenOffice_org-en-help
Obsoletes: OpenOffice_org2
Provides: OpenOffice_org-hunspell
Provides: OpenOffice_org2-hunspell
Obsoletes: OpenOffice_org-hunspell
Obsoletes: OpenOffice_org2-hunspell
# KDE quickstarter does not support LO; we want to get rid of it anyway
Provides: OpenOffice_org-Quickstarter = 3.3.1
Obsoletes: OpenOffice_org-Quickstarter < 3.3.1
# split build compat stuff obsoleted with LO-3.4
# artwork
Provides: OpenOffice_org-artwork-devel = %version
Obsoletes: OpenOffice_org-artwork-devel < %version
Provides: libreoffice-artwork-devel = %version
Obsoletes: libreoffice-artwork-devel < %version
# bootstrap
Provides: OpenOffice_org-bootstrap = %version
Obsoletes: OpenOffice_org-bootstrap < %version
Provides: libreoffice-bootstrap = %version
Obsoletes: libreoffice-bootstrap < %version
# components
Provides: OpenOffice_org-components = %version
Obsoletes: OpenOffice_org-components < %version
Provides: OpenOffice_org-components-devel = %version
Obsoletes: OpenOffice_org-components-devel < %version
Provides: libreoffice-components = %version
Obsoletes: libreoffice-components < %version
Provides: libreoffice-components-devel = %version
Obsoletes: libreoffice-components-devel < %version
# filters
Provides: OpenOffice_org-filters = %version
Obsoletes: OpenOffice_org-filters < %version
Provides: OpenOffice_org-filters-devel = %version
Obsoletes: OpenOffice_org-filters-devel < %version
Provides: libreoffice-filters = %version
Obsoletes: libreoffice-filters < %version
Provides: libreoffice-filters-devel = %version
Obsoletes: libreoffice-filters-devel < %version
# l10n-extras
Provides: OpenOffice_org-l10n-extras = %version
Obsoletes: OpenOffice_org-l10n-extras < %version
Provides: OpenOffice_org-l10n-extras-devel = %version
Obsoletes: OpenOffice_org-l10n-extras-devel < %version
Provides: libreoffice-l10n-extras = %version
Obsoletes: libreoffice-l10n-extras < %version
Provides: libreoffice-l10n-extras-devel = %version
Obsoletes: libreoffice-l10n-extras-devel < %version
# libs-core
Provides: OpenOffice_org-libs-core = %version
Obsoletes: OpenOffice_org-libs-core < %version
Provides: OpenOffice_org-libs-core-devel = %version
Obsoletes: OpenOffice_org-libs-core-devel < %version
Provides: libreoffice-libs-core = %version
Obsoletes: libreoffice-libs-core < %version
Provides: libreoffice-libs-core-devel = %version
Obsoletes: libreoffice-libs-core-devel < %version
# libs-extern
Provides: OpenOffice_org-libs-extern = %version
Obsoletes: OpenOffice_org-libs-extern < %version
Provides: OpenOffice_org-libs-extern-devel = %version
Obsoletes: OpenOffice_org-libs-extern-devel < %version
Provides: libreoffice-libs-extern = %version
Obsoletes: libreoffice-libs-extern < %version
Provides: libreoffice-libs-extern-devel = %version
Obsoletes: libreoffice-libs-extern-devel < %version
# libs-gui
Provides: OpenOffice_org-libs-gui = %version
Obsoletes: OpenOffice_org-libs-gui < %version
Provides: OpenOffice_org-libs-gui-devel = %version
Obsoletes: OpenOffice_org-libs-gui-devel < %version
Provides: libreoffice-libs-gui = %version
Obsoletes: libreoffice-libs-gui < %version
Provides: libreoffice-libs-gui-devel = %version
Obsoletes: libreoffice-libs-gui-devel < %version
# testing
Provides: OpenOffice_org-testing = %version
Obsoletes: OpenOffice_org-testing < %version
Provides: libreoffice-testing = %version
Obsoletes: libreoffice-testing < %version
# testool does not longer exists
Provides: OpenOffice_org-testtool = %version
Obsoletes: OpenOffice_org-testtool < %version
Provides: libreoffice-testtool = %version
Obsoletes: libreoffice-testtool < %version
# ure
Provides: OpenOffice_org-ure = %version
Obsoletes: OpenOffice_org-ure < %version
Provides: libreoffice-ure = %version
Obsoletes: libreoffice-ure < %version
################
# make sure the rename to libreoffice* is complete
# SLED11-only
%if 0%{?suse_version} > 01100 && 0%{?suse_version} <= 01110
Conflicts: OpenOffice_org-hyphen < 20110216
Conflicts: OpenOffice_org-thesaurus < 20070719.1
Conflicts: OpenOffice_org-thesaurus-de < 20080406.1
Conflicts: OpenOffice_org-thesaurus-de-CH < 20080406.1
Conflicts: OpenOffice_org-thesaurus-fr < 20060511.1
Conflicts: OpenOffice_org-thesaurus-ne < 1.1.0.1
Conflicts: OpenOffice_org-thesaurus-pl < 20061223.1
Conflicts: OpenOffice_org-thesaurus-pt < 20060817.1
Conflicts: OpenOffice_org-thesaurus-ro < 20080920.1
Conflicts: OpenOffice_org-thesaurus-ru < 20061016.1
Conflicts: OpenOffice_org-thesaurus-sk < 20080926.1
Conflicts: OpenOffice_org-thesaurus-sv < 20080609.1
%endif
# openSUSE-11.2 and 11.3 only
%if 0%{?suse_version} > 01110 && 0%{?suse_version} <= 01130
Conflicts: OpenOffice_org-icon-theme-crystal < 3.3.1
Conflicts: OpenOffice_org-icon-theme-tango < 3.3.1
Conflicts: OpenOffice_org-icon-theme-andromeda < 3.3.1
Conflicts: OpenOffice_org-icon-theme-galaxy < 3.3.1
Conflicts: OpenOffice_org-icon-theme-hicontrast < 3.3.1
Conflicts: OpenOffice_org-icon-theme-industrial < 3.3.1
Conflicts: OpenOffice_org-icon-theme-oxygen < 3.3.1
Conflicts: OpenOffice_org-voikko < 3.1.2
Conflicts: OpenOffice_org-hyphen < 20110203.1
Conflicts: OpenOffice_org-templates-ru < 3.3
Conflicts: OpenOffice_org-thesaurus-ca < 1.5.0.1
Conflicts: OpenOffice_org-thesaurus-da < 20100126.1
Conflicts: OpenOffice_org-thesaurus-de < 20100307.1
Conflicts: OpenOffice_org-thesaurus-de-AT < 20100307.1
Conflicts: OpenOffice_org-thesaurus-de-CH < 20100307.1
Conflicts: OpenOffice_org-thesaurus-en-AU < 20081215.1
Conflicts: OpenOffice_org-thesaurus-en-GB < 20051128.1
Conflicts: OpenOffice_org-thesaurus-en-US < 20060111.1
Conflicts: OpenOffice_org-thesaurus-es-AR < 0.1.1
Conflicts: OpenOffice_org-thesaurus-es-VE < 1.0.1.1
Conflicts: OpenOffice_org-thesaurus-fr < 20100125.1
Conflicts: OpenOffice_org-thesaurus-it < 20081129.1
Conflicts: OpenOffice_org-thesaurus-ne < 1.1.1
Conflicts: OpenOffice_org-thesaurus-pl < 20081206.1
Conflicts: OpenOffice_org-thesaurus-pt < 20091015.1
Conflicts: OpenOffice_org-thesaurus-ro < 20091130.1
Conflicts: OpenOffice_org-thesaurus-ru < 20081013.1
Conflicts: OpenOffice_org-thesaurus-sk < 20100208.1
Conflicts: OpenOffice_org-thesaurus-sv < 20090624.1
%endif
# SLED11 + openSUSE-11.2 + 11.3
%if 0%{?suse_version} > 01100 && 0%{?suse_version} <= 01130
Conflicts: OpenOffice_org-openclipart < 3.3
Conflicts: OpenOffice_org-LanguageTool < 1.2
Conflicts: OpenOffice_org-LanguageTool-de < 1.2
Conflicts: OpenOffice_org-LanguageTool-en < 1.2
Conflicts: OpenOffice_org-LanguageTool-es < 1.2
Conflicts: OpenOffice_org-LanguageTool-fr < 1.2
Conflicts: OpenOffice_org-LanguageTool-it < 1.2
Conflicts: OpenOffice_org-LanguageTool-nl < 1.2
Conflicts: OpenOffice_org-LanguageTool-pl < 1.2
Conflicts: OpenOffice_org-LanguageTool-sv < 1.2
Conflicts: OpenOffice_org-templates-presentation-layouts < 3.3
Conflicts: OpenOffice_org-templates-labels-a4 < 1.0.1
Conflicts: OpenOffice_org-templates-labels-letter < 1.0.1
Conflicts: OpenOffice_org-templates-de < 3.3
Conflicts: OpenOffice_org-templates-en < 3.3
Conflicts: OpenOffice_org-thesaurus-bg < 20071210.1
Conflicts: OpenOffice_org-thesaurus-cs < 20070913.1
Conflicts: OpenOffice_org-thesaurus-el < 20061203.1
Conflicts: OpenOffice_org-thesaurus-en < 20060111.1
Conflicts: OpenOffice_org-thesaurus-es < 20050720.1
Conflicts: OpenOffice_org-thesaurus-ga < 20071002.1
Conflicts: OpenOffice_org-thesaurus-hu < 20080319.1
Conflicts: OpenOffice_org-thesaurus-nb < 20080310.1
Conflicts: OpenOffice_org-thesaurus-sl < 20080601.1
Conflicts: OpenOffice_org-converter < 3.3
Provides: OpenOffice_org-Quickstarter = 3.3.1
Obsoletes: OpenOffice_org-Quickstarter < 3.3.1
%endif
#
Summary: A Free Office Suite (Framework)
License: Apache-2.0 and Artistic-1.0 and BSD-3-Clause and BSD-4-Clause and GPL-2.0+ and LPPL-1.3c and LGPL-2.1+ and LGPL-3.0 and MPL-1.1 and MIT and SUSE-Public-Domain and W3C
Group: Productivity/Office/Suite
Url: http://www.documentfoundation.org/
Source0: libreoffice-%version.tar.xz
Source1: libreoffice-help-%version.tar.xz
Source2: libreoffice-translations-%version.tar.xz
Source10: build_prepare.inc
# 256x256 desktop icons (bnc#722644)
Source20: libreoffice-desktop-icons-256x256.tar.bz2
# make-3.82 is needed for parallel build
# this version extends plain make-3.82 with --warn-undefined-functions option
# URL: http://cgit.freedesktop.org/libreoffice/contrib/dev-tools/tree/make-3.82-gbuild, snapshot 2011-08-17
Source30: make-%gnu_make_version-gbuild-%gnu_make_snapshot.tar.bz2
# zip-3.0 or newer is required because of the --filesync feature
Source31: zip-%zip_version.tar.bz2
# rpmlint complains about devel files in non-devel package
# but we would like to keep the sdk package name
# We would like to keep the -bootstrap package name
# So we need to disable these rpmlint checks
Source200: %name-rpmlintrc
# Prebuilt sofficerc for the noarch upstream branding package
Source201: sofficerc-upstream
# This background is used by another Novell product, added 2006-02-08
Source202: Draft.jpg
# temporary disabled mono package
Source203: README-mono.txt
# draw extension package is currently empty
# we want to leave it to make the maintenance easier
# also we might want to add there some extension later on again
Source204: README-draw-extensions.txt
# helper scripts
# create compat symlinks from /usr/share to /usr/lib(64); used by noarch packages
Source300: link-to-ooo-home
# extensions
Source400: README-scsolver.txt
# prebuilt extensions
Source401: 27211596cf0ad97cab7321239406fde0-gdocs_%{gdocs_version}_modified.oxt
Source402: b7cae45ad2c23551fd6ccb8ae2c1f59e-numbertext_0.9.5.oxt
# used extensions sources
Source450: 451ccf439a36a568653b024534669971-ConvertTextToNumber-1.3.2.oxt
Source451: 451ccf439a36a568653b024534669971-ConvertTextToNumber-1.3.2.zip
Source452: 90401bca927835b6fbae4a707ed187c8-nlpsolver-0.9.tar.bz2
# unused extensions sources
# FIXME: this is just because of license; we do not build gdocs from sources now
# gdocs sources
Source500: gdocs_3.0.0.tar.bz2
Source501: gdocs_3.0.0.diff
# gdata-*.jar and google-*.jar are under Apache License, Version 2.0
# activation.jar is part of "JavaTM Web Services Developer Pack 1.5 Release
# Notes" and is mentioned there between "Redistributable Components", see
# http://java.sun.com/webservices/docs/1.5/ReleaseNotes.html#RedistributableComponents
# mail-1.4-sources.jar is taken from http://ftp.us.xemacs.org/pub/mirrors/maven2/javax/mail/mail/1.4/
# the mail-1.4.jar in the above URL is not exactly the same but it is evident that it is built from the same sources:
# class files are exactly the same; sligtly newer ant and Sun JRE has been used for the build;
# text files has DOS end of lines
Source502: mail-1.4-sources.jar
# taken from netbeans-6.8 installed from netbeans-6.8-ml-javase-linux.sh
Source503: AbsoluteLayout.tar.bz2
# taken from netbeans-6.8 installed from netbeans-6.8-ml-javase-linux.sh
Source504: swing-layout-1.0.4-doc.zip
# taken from netbeans-6.8 installed from netbeans-6.8-ml-javase-linux.sh
Source505: swing-layout-1.0.4-src.zip
%if 0%{?suse_version} < 01230
# FIXME: hack the provides and requires (bnc#411538)
# make sure external scripts are used
%define _use_internal_dependency_generator 0
%define __find_provides /bin/sh %_sourcedir/lo-provides %name
%define __find_requires /bin/sh %_sourcedir/lo-requires %name
%endif
Source900: lo-provides
Source901: lo-requires
#
# offical external source
Source1000: ace6ab49184e329db254e454a010f56d-libxml-1.1.7.zip
Source1001: 0168229624cfac409e766913506961a8-ucpp-1.3.2.tar.gz
Source1002: af3c3acf618de6108d65fcdc92b492e1-commons-codec-1.3-src.tar.gz
Source1003: a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip
Source1004: ba2930200c9f019c2d93a8c88c651a0f-flow-engine-0.9.4.zip
Source1005: c0b4799ea9850eae3ead14f0a60e9418-postgresql-9.2.1.tar.bz2
Source1006: ca66e26082cab8bb817185a116db809b-redland-1.0.8.tar.gz
Source1007: db60e4fde8dd6d6807523deb71ee34dc-liblayout-0.2.10.zip
Source1008: d8bd5eed178db6e2b18eeed243f85aa8-flute-1.1.6.zip
Source1009: ea570af93c284aa9e5621cd563f54f4d-bsh-2.0b1-src.tar.gz
Source1010: ea91f2fb4212a21d708aced277e6e85a-vigra1.4.0.tar.gz
Source1011: eeb2c7ddf0d302fba4bfc6e97eac9624-libbase-1.1.6.zip
Source1012: fca8706f2c4619e2fa3f8f42f8fc1e9d-rasqal-0.9.16.tar.gz
Source1014: f94d9870737518e3b597f9265f4e9803-libserializer-1.1.6.zip
Source1015: f5ef3f7f10fa8c3542c6a085a233080b-graphite2-1.2.0.tgz
Source1016: 46e92b68e31e858512b680b3b61dc4c1-mythes-1.2.3.tar.gz
Source1017: 1f24ab1d39f4a51faf22244c94a6203f-xmlsec1-1.2.14.tar.gz
Source1018: dc3d21a3921931096d6e80f6701f6763-libexttextcat-3.4.0.tar.bz2
Source1019: 17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip
Source1020: 1756c4fa6c616ae15973c104cd8cb256-Adobe-Core35_AFMs-314.tar.gz
Source1021: 185d60944ea767075d27247c3162b3bc-unowinreg.dll
Source1022: 2ae988b339daec234019a7066f96733e-commons-lang-2.3-src.tar.gz
Source1023: 2a177023f9ea8ec8bd00837605c5df1b-jakarta-tomcat-5.0.30-src.tar.gz
Source1024: 2c9b0f83ed5890af02c0df1c1776f39b-commons-httpclient-3.1-src.tar.gz
Source1025: 284e768eeda0e2898b0d5bf7e26a016e-raptor-1.4.18.tar.gz
Source1026: 3bdf40c0d199af31923e900d082ca2dd-libfonts-1.1.6.zip
Source1027: 3c219630e4302863a9a83d0efde889db-commons-logging-1.1.1-src.tar.gz
Source1028: 3404ab6b1792ae5f16bbd603bd1e1d03-libformula-1.1.7.zip
Source1029: 35c94d2df8893241173de1d16b6034c0-swingExSrc.zip
Source1030: 39bb3fcea1514f1369fcfc87542390fd-sacjava-1.3.zip
Source1031: a2f6010987e1c601274ab5d63b72c944-hyphen-2.8.4.tar.gz
Source1033: 9d283e02441d8cebdcd1e5d9df227d67-libwpg-0.2.1.tar.bz2
Source1034: 9f9e15966b5624834157fe3d748312bc-mdds_0.6.1.tar.bz2
Source1035: 798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip
Source1036: 8ce2fcd72becf06c41f7201d15373ed9-librepository-1.1.6.zip
Source1037: e7f84e3199dfee9122949448cab3823f-libwpd-0.9.6.tar.bz2
Source1038: d197bd6211669a2fa4ca648faf04bcb1-libwps-0.2.7.tar.bz2
Source1039: 97b2d4dba862397f446b217e2b623e71-libloader-1.1.6.zip
Source1040: 0981bda6548a8c8233ffce2b6e4b2a23-mysql-connector-c++-1.1.0.tar.gz
Source1041: b2371dc7cf4811c9d32146eec913d296-libcmis-0.3.0.tar.gz
Source1042: libvisio-0.0.25.tar.bz2
Source1043: 54e578c91b1b68e69c72be22adcb2195-liblangtag-0.4.0.tar.bz2
# FIXME: the system clucene does not include stuff from contribs-lib (CJKAnalyzer.h)
Source1044: 48d647fbd8ef8889e5a7f422c1bfda94-clucene-core-2.3.3.4.tar.gz
# newly developed library for LO feature
Source1045: libcdr-0.0.11.tar.bz2
# this library is not available on older distributions
Source1046: 861ef15fa0bc018f9ddc932c4ad8b6dd-lcms2-2.4.tar.gz
# internal boost headers are needed on openSUSE <= 11.3; the system one has broken dst_adjustment_offsets definition (bnc#767949)
Source1047: f02578f5218f217a9f20e9c30e119c6a-boost_1_44_0.tar.bz2
Source1048: libmspub-0.0.5.tar.bz2
Source1049: 8755aac23317494a9028569374dc87b2-liborcus_0.3.0.tar.bz2
Source1050: 7c53f83e0327343f4060c0eb83842daf-icu4c-49_1_1-src.tgz
Source1051: fc188d2ed5c2cbcf7a021b34b9f88478-icudt49l-subset.zip
# search application icons in /usr/share
# FIXME: search both lib and lib64 and push into git
Patch2: split-icons-search-usr-share.diff
# search help icons in /usr/share
# FIXME: make it configurable in integrate into git
Patch3: officecfg-help-in-usr-share.diff
# slower patching to debug and hopefully fix parallel build of ct2n extension; always happened only in the Build Service (bnc#595550)
# FIXME: remove when scp2 module is gbuildized
Patch4: solenv-carefull-patching-hack.diff
# change user config dir name from ~/.libreoffice/3 to ~/.libreoffice/3-suse
# to avoid BerkleyDB incompatibility with the plain build
# FIXME: make it configurable and push upstream
Patch5: scp2-user-config-suse.diff
# pack new desktop files
Patch6: pack-desktop-files-for-optional-filters.diff
# put internal rhino into XBootClasspath to fix build with OpenJDK
# FIXME: make it clean to be able to push upstream
Patch7: scripting-prefer-internal-rhino.diff
# svx headers started to be used in sfx2
Patch8: buildfix-sfx2-dependency.diff
# search <lo-home>/share/template/common for language independent templates
# FIXME: make it configurable to push upstream
Patch9: office-cfg-linux-common-template-dir.diff
# correctly bootstrap python stuff with system python (deb#501028, i#90701)
Patch10: system-pyuno.diff
# do not use the broken help; unopkg complained about it when registering extensions
# FIXME: the right fix is to compile the help and produce the .db_, .ht_, and other files
Patch11: nlpsolver-no-broken-help.diff
Patch12: mediawiki-no-broken-help.diff
# LO newer worked well with it
Patch13: jvmfwk-disable-gcj.diff
# generate selected bytecode version also in gbuild
# FIXME: push upstream and be ready to fix problem on other systems
Patch14: solenv-java-source-version.diff
# lost RPM optflags when compiling bridges
Patch15: bridges-missing-cxxflags.diff
# dmake does not work with more than 64 jobs
# FIXME: this patch won't be necessary in LO-4.1 where dmake has finally been removed
Patch16: build-max-64-jobs.diff
# avoid race condition when delivering symlinks and target files into solver
Patch17: touch-no-dereference.diff
#
# revert problematic build fix for poppler 0.17.0 on older distributions
# FIXME: make it configurable to push upstream
Patch910: libreoffice-poppler-0.17.0-reject-fix.diff
# crazy hack to avoid /usr/lib64 in RPATH and pass brp-rpath check (bnc#717262)
Patch920: redland-rpath-hack.diff
# try to save space by using hardlinks
Patch990: install-with-hardlinks.diff
# FIXME: touch --no-dereference in not available on SLED11-SP1
# and it is not needed when not using harlinks
Patch991: solenv-touch-no-dereference.diff
#
# Patches against zip-3.0
Patch2000: zip-3.0-iso8859_2.patch
Patch2001: zip-3.0-add_options_to_help.patch
Patch2002: zip-3.0-nonexec-stack.patch
Patch2003: zip-3.0-optflags.patch
Patch2004: zip-3.0-tempfile.patch
Patch2005: zip-notimestamp.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-build
ExclusiveArch: %arm %ix86 x86_64 ppc ppc64
%description
LibreOffice is a comprehensive office package featuring a word
processor, a spreadsheet, a presentation program, and much more. This
package provides only the basic framework. You have to install the
additional modules to get the required functionality, see packages:
- libreoffice-base
- libreoffice-calc
- libreoffice-draw
- libreoffice-impress
- libreoffice-math
- libreoffice-writer
Some optional features are provided by extra packages, for example:
- libreoffice-mailmerge
- libreoffice-filters
- libreoffice-kde
- libreoffice-gnome
Non-English localizations are provided by extra packges as well, for
example:
- libreoffice-de
- libreoffice-fr
- libreoffice-it
%package base
Summary: LibreOffice Base
License: LGPL-3.0
Group: Productivity/Office/Suite
Requires: %name = %version
%if 0%{?suse_version}
Supplements: %name
%endif
# compat stuff
Provides: OpenOffice_org-base = %version
Obsoletes: OpenOffice_org-base < %version
# split build compat stuff obsoleted with LO-3.4
Provides: OpenOffice_org-base-devel = %version
Obsoletes: OpenOffice_org-base-devel < %version
Provides: libreoffice-base-devel = %version
Obsoletes: libreoffice-base-devel < %version
%description base
This module allows you to manage databases, create queries and reports
to track and manage your information by using LibreOffice office
suite.
%package calc
Summary: LibreOffice Calc
License: LGPL-3.0
Group: Productivity/Office/Suite
Requires: %name = %version
%if 0%{?suse_version}
Supplements: %name
%endif
# compat stuff
Provides: OpenOffice_org-calc = %version
Obsoletes: OpenOffice_org-calc < %version
# split build compat stuff obsoleted with LO-3.4
Provides: OpenOffice_org-calc-devel = %version
Obsoletes: OpenOffice_org-calc-devel < %version
Provides: libreoffice-calc-devel = %version
Obsoletes: libreoffice-calc-devel < %version
%description calc
This module allows you to perform calculation, analyze information and
manage lists in spreadsheets by using LibreOffice office suite.
%package draw
Summary: LibreOffice Draw
License: LGPL-3.0
Group: Productivity/Office/Suite
Requires: %name = %version
%if 0%{?suse_version}
Supplements: %name
%endif
# compat stuff
Provides: OpenOffice_org-draw = %version
Obsoletes: OpenOffice_org-draw < %version
%description draw
This module allows you to create and edit drawings, flow charts, and
logos by using LibreOffice office suite.
%package math
Summary: LibreOffice Math
License: LGPL-3.0
Group: Productivity/Office/Suite
Requires: %name = %version
%if 0%{?suse_version}
Supplements: %name
%endif
# compat stuff
Provides: OpenOffice_org-math = %version
Obsoletes: OpenOffice_org-math < %version
%description math
This module allows you to create and edit scientific formulas and
equations by using LibreOffice office suite.
%package impress
Summary: LibreOffice Impress
License: LGPL-3.0
Group: Productivity/Office/Suite
Requires: %name = %version
%if 0%{?suse_version}
Supplements: %name
%endif
# compat stuff
Provides: OpenOffice_org-impress = %version
Obsoletes: OpenOffice_org-impress < %version
# split build compat stuff obsoleted with LO-3.4
Provides: OpenOffice_org-impress-devel = %version
Obsoletes: OpenOffice_org-impress-devel < %version
Provides: libreoffice-impress-devel = %version
Obsoletes: libreoffice-impress-devel < %version
%description impress
This module allows you to create and edit presentations for slideshows,
meeting and Web pages by using LibreOffice office suite.
%package writer
Summary: LibreOffice Writer and Web
License: LGPL-3.0
Group: Productivity/Office/Suite
Requires: %name = %version
%if 0%{?suse_version}
Supplements: %name
%endif
# compat stuff
Provides: OpenOffice_org-writer = %version
Obsoletes: OpenOffice_org-writer < %version
# split build compat stuff obsoleted with LO-3.4
Provides: OpenOffice_org-writer-devel = %version
Obsoletes: OpenOffice_org-writer-devel < %version
Provides: libreoffice-writer-devel = %version
Obsoletes: libreoffice-writer-devel < %version
%description writer
This module allows you to create and edit text and graphics in letters,
reports, documents and Web pages by using LibreOffice office suite.
%package base-drivers-postgresql
Summary: PostgreSQL Database Driver for LibreOffice
License: LGPL-2.1+
Group: Productivity/Office/Suite
Requires: postgresql
# compat stuff
Provides: OpenOffice_org-base-drivers-postgresql = %version
Obsoletes: OpenOffice_org-base-drivers-postgresql < %version
%description base-drivers-postgresql
This package allows to access PostgreSQL databases from LibreOffice
Base.
%package filters-optional
Summary: Additional Import and Export Filters for LibreOffice
License: LGPL-3.0
Group: Productivity/Office/Suite
Requires: %name-calc = %version
Requires: %name-draw = %version
Requires: %name-impress = %version
Requires: %name-math = %version
Requires: %name-writer = %version
%if 0%{?suse_version}
Supplements: %name
%endif
# compat stuff
Provides: OpenOffice_org-filters-optional = %version
Obsoletes: OpenOffice_org-filters-optional < %version
%description filters-optional
This package includes some additional import and export filters for
LibreOffice:
- AportisDoc (Palm)
- Pocket Excel
- Pocket Word
- DocBook
- XHTML
%package mailmerge
Summary: Mail Merge Functionality for LibreOffice
License: LGPL-3.0
Group: Productivity/Office/Suite
Requires: %name-pyuno = %version
%if 0%{?suse_version}
Supplements: %name
%endif
# compat stuff
Provides: OpenOffice_org-mailmerge = %version
Obsoletes: OpenOffice_org-mailmerge < %version
%description mailmerge
This module allows you to create form letters or send E-mail messages
to many recipients using LibreOffice office suite.
%if 0%{?suse_version} <= 01130
%package mono
Summary: Mono UNO Bridge for LibreOffice
License: LGPL-3.0
Group: Productivity/Office/Suite
Requires: %name = %version
Requires: mono-core
# compat stuff
Provides: OpenOffice_org-mono = %version
Obsoletes: OpenOffice_org-mono < %version
%description mono
The Mono/UNO binding allows a Mono application to access the complete
set of APIs exposed by LibreOffice via UNO. A trivial example
use-case might be a small mono application to create a spreadsheet,
populate it with data, charts, formatting, then save that in Excel
format.
Currently the use of Mono for add-ins & scripting inside OO.o itself is
not supported.
%endif
%package pyuno
Summary: Python UNO Bridge for LibreOffice
License: LGPL-3.0
Group: Productivity/Office/Suite
Requires: %name = %version
%if 0%{?suse_version}
Supplements: %name
%endif
# compat stuff
Provides: OpenOffice_org-pyuno = %version
Obsoletes: OpenOffice_org-pyuno < %version
%description pyuno
The Python-UNO bridge allows to use the standard LibreOffice API
from the well known Python scripting language. It can be used to
develop UNO components in python, thus python UNO components may be run
within the LibreOffice process and can be called from Java, C++ or
the built in StarBasic scripting language. You can create and invoke
scripts with the office scripting framework (OOo 2.0 and later) with
it. For example, it is used for the mail merge functionality.
You can find the more information at
http://udk.openoffice.org/python/python-bridge.html
%package gnome
Summary: GNOME Extensions for LibreOffice
License: LGPL-3.0
Group: Productivity/Office/Suite
Requires: %name = %version
# compat stuff
Provides: OpenOffice_org17-gnome
Obsoletes: OpenOffice_org17-gnome
Provides: OpenOffice_org2-gnome
Obsoletes: OpenOffice_org2-gnome
Provides: OpenOffice_org-gnome = %version
Obsoletes: OpenOffice_org-gnome < %version
%description gnome
This package contains some GNOME extensions for LibreOffice.
%package kde
Summary: KDE Extensions for LibreOffice
License: LGPL-3.0
Group: Productivity/Office/Suite
Requires: %name = %version
# compat stuff
Provides: OpenOffice_org17-kde
Obsoletes: OpenOffice_org17-kde
Provides: OpenOffice_org2-kde
Obsoletes: OpenOffice_org2-kde
Provides: OpenOffice_org-kde = %version
Obsoletes: OpenOffice_org-kde < %version
%description kde
This package contains some KDE extensions for LibreOffice.
%package kde4
Summary: KDE4 Extensions for LibreOffice
License: LGPL-3.0
Group: Productivity/Office/Suite
Requires: %name = %version
# compat stuff
Provides: OpenOffice_org-kde4 = %version
Obsoletes: OpenOffice_org-kde4 < %version
%description kde4
This package contains some KDE4 extensions for LibreOffice.
%if %lo_build_sdk == yes
%package sdk
Summary: LibreOffice SDK
License: LGPL-3.0
Group: Documentation/HTML
Requires: %name = %version
Requires: gcc-c++
Requires: make
Requires: zip
Recommends: java-devel
# split build compat stuff obsoleted with LO-3.4
Provides: OpenOffice_org-ure-devel = %version
Obsoletes: OpenOffice_org-ure-devel < %version
Provides: libreoffice-ure-devel = %version
Obsoletes: libreoffice-ure-devel < %version
%description sdk
This package contains the files needed to build plugins/add-ons for
LibreOffice. It includes header files, IDL files, needed build
tools, etc.
The documentation is in the package OpenOffice_org-sdk-doc
%package sdk-doc
Summary: LibreOffice SDK Documentation
License: LGPL-3.0
Group: Development/Libraries/Other
Suggests: %name-sdk = %version
Enhances: %name-sdk = %version
# split build compat stuff obsoleted with LO-3.4
Provides: OpenOffice_org-ure-devel-doc = %version
Obsoletes: OpenOffice_org-ure-devel-doc < %version
Provides: libreoffice-ure-devel-doc = %version
Obsoletes: libreoffice-ure-devel-doc < %version
%description sdk-doc
This package includes documentation and examples for the LibreOffice
Software Development Kit (SDK).
%endif
%package officebean
Summary: OfficeBean Java Bean component for LibreOffice
License: LGPL-3.0
Group: Productivity/Office/Suite
Requires: %name = %version
# compat stuff
Provides: OpenOffice_org2-officebean = %version
Provides: OpenOffice_org:/usr/lib/ooo-2.0/program/libofficebean.so
Obsoletes: OpenOffice_org2-officebean < %version
Provides: OpenOffice_org-officebean = %version
Obsoletes: OpenOffice_org-officebean < %version
%description officebean
With the OfficeBean, a developer can easily write Java applications,
harnessing the power of LibreOffice. It encapsulates a connection to
a locally running LibreOffice process, and hides the complexity of
establishing and maintaining that connection from the developer.
It also allows embedding of LibreOffice documents within the Java
environment. It provides an interface the developer can use to obtain
Java AWT windows into which the backend LibreOffice process draws
its visual representation. These windows are then plugged into the UI
hierarchy of the hosting Java application. The embedded document is
controlled from the Java environment, since the OfficeBean allows
developers to access the complete LibreOffice API from their Java
environment giving them full control over the embedded document, its
appearance and behavior.
%package base-extensions
Summary: LibreOffice Base Extensions
License: GPL-2.0 and LGPL-2.1 and LGPL-3.0 and W3C
Group: Productivity/Office/Suite
PreReq: libreoffice = %version
Requires: libreoffice-base = %version
%if 0%{?suse_version} && 0%{?suse_version} < 01120
# use wake dependency for the mysql driver on older distros
# the extension is unpacked and the dependency automatically detected on newer
# distros
Recommends: libmysqlclient15
%endif
# compat stuff
Provides: OpenOffice_org-base-extensions = %version
Obsoletes: OpenOffice_org-base-extensions < %version
%description base-extensions
This package provides extensions for LibreOffice Base:
%if 0%{?suse_version} && 0%{?suse_version} < 01120
- MySQL connector
%endif
- Report Builder
# new packages are not allowed on SLED11
# put the mysql driver into separate package on newer distros
%if 0%{?suse_version} >= 01120
%package base-drivers-mysql
Summary: MySQL Database Driver for LibreOffice
License: GPL-2.0 and LGPL-3.0
Group: Productivity/Office/Suite
PreReq: libreoffice = %version
Requires: libreoffice-base = %version
Supplements: packageand(libreoffice-base:mysql-client)
# compat stuff
Provides: OpenOffice_org-base-drivers-mysql = %version
Obsoletes: OpenOffice_org-base-drivers-mysql < %version
%description base-drivers-mysql
This package allows to access MySQL databases from LibreOffice
Base.
%endif
%package calc-extensions
Summary: LibreOffice Calc Extensions
License: LGPL-2.1+ and LGPL-3.0
Group: Productivity/Office/Suite
PreReq: libreoffice = %version
Requires: libreoffice-calc = %version
# pyuno is needed for the numbertext extension
Requires: libreoffice-pyuno = %version
# the watchWindow extension is written in java
%if 0%{?suse_version}
# the gcj is required by the main package on 10.2 and lower
%if %suse_version > 01020
%ifarch %ix86 ppc
# the 32-bit build requires 32-bit JRE, bnc#222708
Recommends: jre-32 >= 1.6
%if 0%{?suse_version} > 01110
# jre-32 is not provided by the preferred openjdk until openSUSE-11.2
Requires: jre-32 > 1.5
%endif
%endif
# ---
%ifarch x86_64
Recommends: jre-64 >= 1.6
%if 0%{?suse_version} > 01110
# jre-64 is not provided by the preferred openjdk until openSUSE-11.2
Requires: jre-64 > 1.5
%endif
%endif
%endif
%endif
# compat stuff
Provides: OpenOffice_org-calc-extensions = %version
Obsoletes: OpenOffice_org-calc-extensions < %version
%description calc-extensions
This package provides extensions for LibreOffice Calc:
- Convert Text to Number
- New Functions NUMBERTEXT and MONEYTEXT
- Solver for Nonlinear Programming
%package draw-extensions
Summary: LibreOffice Draw Extensions
License: LGPL-3.0
Group: Productivity/Office/Suite
PreReq: libreoffice = %version
Requires: libreoffice-draw = %version
# compat stuff
Provides: OpenOffice_org-draw-extensions = %version
Obsoletes: OpenOffice_org-draw-extensions < %version
%description draw-extensions
This package provides extensions for LibreOffice Draw
%package impress-extensions
Summary: LibreOffice Impress Extensions
License: LGPL-3.0
Group: Productivity/Office/Suite
PreReq: libreoffice = %version
Requires: libreoffice-impress = %version
# compat stuff
Provides: OpenOffice_org-impress-extensions = %version
Obsoletes: OpenOffice_org-impress-extensions < %version
%description impress-extensions
This package provides extensions for LibreOffice Impress:
- Presentation Minimizer
- Presenter Console
%package writer-extensions
Summary: LibreOffice Writer Extensions
License: Apache-2.0 and LGPL-3.0 and CDDL-1.0
Group: Productivity/Office/Suite
PreReq: libreoffice = %version
Requires: libreoffice-writer = %version
# the wiki extension is written in java
%if 0%{?suse_version}
# the gcj is required by the main package on 10.2 and lower
%ifarch %ix86 ppc
# the 32-bit build requires 32-bit JRE, bnc#222708
Recommends: jre-32 >= 1.6
%if 0%{?suse_version} > 01110
# jre-32 is not provided by the preferred openjdk until openSUSE-11.2
Requires: jre-32 > 1.5
%endif
%endif
# ---
%ifarch x86_64
Recommends: jre-64 >= 1.6
# jre-64 is not provided by the preferred openjdk until openSUSE-11.2
%if 0%{?suse_version} > 01110
# jre-32 is not provided by the preferred openjdk until openSUSE-11.2
Requires: jre-64 > 1.5
%endif
%endif
%endif
# compat stuff
Provides: OpenOffice_org-writer-extensions = %version
Obsoletes: OpenOffice_org-writer-extensions < %version
%description writer-extensions
This package provides extensions for LibreOffice Writer:
- Google Docs, Zoho, and WebDAV Export/Import
- MediaWiki Publisher
%package icon-themes-prebuilt
Summary: Prebuilt LibreOffice Icon Themes
License: LGPL-2.0 and LGPL-3.0
Group: Development/Sources
AutoReqProv: off
# compat stuff
Provides: OpenOffice_org-icon-themes-prebuilt = %version
Obsoletes: OpenOffice_org-icon-themes-prebuilt < %version
%description icon-themes-prebuilt
This package includes the prebuilt LibreOffice Icon Themes. It is
not intended for real use. It needs to be repacked to the real
architecture independent package.
This is only temporary solution to get an installable set of
LibreOffice packages for a new version as fast as possible. The
architecture independent package will be built from the original
sources in the future.
%package l10n-prebuilt
Summary: Prebuilt LibreOffice Localization
License: LGPL-2.0 and LGPL-3.0
Group: Development/Sources
AutoReqProv: off
# compat stuff
Provides: OpenOffice_org-l10n-prebuilt = %version
Obsoletes: OpenOffice_org-l10n-prebuilt < %version
# split build compat stuff obsoleted with LO-3.4
# components
Provides: OpenOffice_org-components-l10n-prebuilt = %version
Obsoletes: OpenOffice_org-components-l10n-prebuilt < %version
Provides: libreoffice-components-l10n-prebuilt = %version
Obsoletes: libreoffice-components-l10n-prebuilt < %version
# extensions
Provides: OpenOffice_org-extensions = %version
Obsoletes: OpenOffice_org-extensions < %version
# filters
Provides: OpenOffice_org-filters-l10n-prebuilt = %version
Obsoletes: OpenOffice_org-filters-l10n-prebuilt < %version
Provides: libreoffice-filters-l10n-prebuilt = %version
Obsoletes: libreoffice-filters-l10n-prebuilt < %version
# l10n-extras
Provides: OpenOffice_org-l10n-extras-prebuilt = %version
Obsoletes: OpenOffice_org-l10n-extras-prebuilt < %version
Provides: libreoffice-l10n-extras-prebuilt = %version
Obsoletes: libreoffice-l10n-extras-prebuilt < %version
# libs-core
Provides: OpenOffice_org-libs-core-l10n-prebuilt = %version
Obsoletes: OpenOffice_org-libs-core-l10n-prebuilt < %version
Provides: libreoffice-libs-core-l10n-prebuilt = %version
Obsoletes: libreoffice-libs-core-l10n-prebuilt < %version
# libs-extern
Provides: OpenOffice_org-libs-extern-l10n-prebuilt = %version
Obsoletes: OpenOffice_org-libs-extern-l10n-prebuilt < %version
Provides: libreoffice-libs-extern-l10n-prebuilt = %version
Obsoletes: libreoffice-libs-extern-l10n-prebuilt < %version
# libs-gui
Provides: OpenOffice_org-libs-gui-l10n-prebuilt = %version
Obsoletes: OpenOffice_org-libs-gui-l10n-prebuilt < %version
Provides: libreoffice-libs-gui-l10n-prebuilt = %version
Obsoletes: libreoffice-libs-gui-l10n-prebuilt < %version
# base
Provides: OpenOffice_org-base-l10n-prebuilt = %version
Obsoletes: OpenOffice_org-base-l10n-prebuilt < %version
Provides: libreoffice-base-l10n-prebuilt = %version
Obsoletes: libreoffice-base-l10n-prebuilt < %version
# calc
Provides: OpenOffice_org-calc-l10n-prebuilt = %version
Obsoletes: OpenOffice_org-calc-l10n-prebuilt < %version
Provides: libreoffice-calc-l10n-prebuilt = %version
Obsoletes: libreoffice-calc-l10n-prebuilt < %version
# impress
Provides: OpenOffice_org-impress-l10n-prebuilt = %version
Obsoletes: OpenOffice_org-impress-l10n-prebuilt < %version
Provides: libreoffice-impress-l10n-prebuilt = %version
Obsoletes: libreoffice-impress-l10n-prebuilt < %version
# writer
Provides: OpenOffice_org-writer-l10n-prebuilt = %version
Obsoletes: OpenOffice_org-writer-l10n-prebuilt < %version
Provides: libreoffice-writer-l10n-prebuilt = %version
Obsoletes: libreoffice-writer-l10n-prebuilt < %version
%description l10n-prebuilt
This package includes the prebuilt localization of LibreOffice.
It is not intended for a real use. It needs to be repacked to the real
architecture independent package.
This is only a temporary solution until we have an easier way to build
the LibreOffice localizations separately.
%prep
%if %prepare_build == 0
%setup -D -T -q -n libreoffice-%version
%else
%setup -q -b1 -b2 -a30 -n libreoffice-%version
# apply patches before caling any other command to be able to patch with quilt easily
%patch2 -p1
%patch3
%patch4
%patch5
%patch6 -p1
%patch7 -p1
%patch8
%patch9
%patch10 -p1
%patch11
%patch12
%patch13 -p1
%patch14
%patch15
%patch16
%patch17 -p1
%if %suse_version <= 1130
# cpp/poppler-version.h is not included in older poppler packages
%patch910 -p1
%endif
#
%if %suse_version > 1140 && %suse_version < 1230
# crazy hack to avoid /usr/lib64 in RPATH and pass brp-rpath check (bnc#717262)
%patch920
%endif
#
%if %save_space == 1
# use hardlinks when installing files
%patch990
%else
# FIXME: touch --no-dereference in not available on SLED11-SP1
# and it is not needed when not using harlinks
%patch991
%endif
# 256x256 icons
tar -xjf %{S:20}
# READMEs
cp $RPM_SOURCE_DIR/README* .
#
# patch zip-3.0
%if %suse_version < 1140
tar -xjf %{S:31}
cd zip30
%patch2000
%patch2001
%patch2002
%patch2003
%patch2004
%patch2005
cd -
%endif
%endif
# Remove build time references so build-compare can do its work
FAKE_BUILDTIME=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%H:%%M')
FAKE_BUILDDATE=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%b %%e %%Y')
sed -i "s/__TIME__/\"$FAKE_BUILDTIME\"/" solenv/src/version.c
sed -i "s/__DATE__/\"$FAKE_BUILDDATE\"/" solenv/src/version.c
%build
%{expand:%(cat %_sourcedir/build_prepare.inc)}
%if %prepare_build != 0
./autogen.sh $PARALLEL_BUILD \
--libdir=%{_libdir} \
--prefix=%{_prefix} \
--mandir=%{_mandir} \
--sysconfdir=/etc \
--docdir=%{_docdir}/%{name} \
--with-vendor=SUSE \
--with-lang=%lo_langs \
--disable-fetch-external \
--with-external-tar="$RPM_SOURCE_DIR" \
--with-alloc=system \
--with-compat-oowrappers \
--enable-release-build \
--enable-split-app-modules \
--enable-split-opt-features \
--enable-mergelibs \
--enable-python=system \
--with-jdk-home=$JAVA_HOME \
--with-ant-home=/usr/share/ant \
--without-fonts \
--without-myspell-dicts \
--with-external-dict-dir=/usr/share/myspell \
--with-external-hyph-dir=/usr/share/ooo/hyphen \
--with-external-thes-dir=/usr/share/ooo/thesaurus \
--without-doxygen \
--without-help \
%if %lo_build_sdk == yes
--enable-odk \
%endif
%if 0%{?suse_version} >= 01210
--enable-gtk3 \
%endif
%if 0%{?suse_version}
--enable-kde \
--enable-kde4 \
%endif
--enable-evolution2 \
--enable-lockdown \
--enable-dbus \
%if 0%{?suse_version} <= 01130
%if %build_mono == 1
--enable-mono \
--with-mono-gac-root=%{_prefix}/lib \
%endif
%endif
%if %suse_version <= 1130
--without-junit \
%endif
%if %suse_version < 1210
--without-system-icu \
%endif
%if %debug_build == 0
--disable-ccache \
%endif
--enable-ext-ct2n \
--enable-ext-nlpsolver \
--enable-ext-google-docs \
--enable-ext-numbertext \
--enable-ext-wiki-publisher \
--enable-ext-mysql-connector \
--enable-scripting-beanshell \
--enable-scripting-javascript \
--with-system-dicts \
--with-system-headers \
%if 0%{?suse_version} <= 01130
--without-system-boost \
--without-system-vigra \
%endif
%if 0%{?suse_version} < 01230
--without-system-mdds \
%endif
--without-system-npapi-headers \
--without-system-sane \
--with-system-libs \
%if 0%{?suse_version} <= 01110
--without-system-postgresql \
%endif
%if 0%{?suse_version} <= 01130
--without-system-lcms2 \
--without-system-libwpd \
--without-system-libwpg \
--without-system-libwps \
%endif
%if 0%{?suse_version} >= 01230
--with-system-ucpp \
%endif
%if 0%{?suse_version} <= 01230
--without-system-libcmis \
%endif
%if 0%{?suse_version} < 01230
--without-system-clucene \
--without-system-mysql-cppconn \
--without-system-libcdr \
--without-system-libvisio \
--without-system-graphite \
--without-system-libexttextcat \
--without-system-liblangtag \
--without-system-libmspub \
--without-system-redland \
--without-system-orcus \
--without-system-altlinuxhyph \
--without-system-mythes \
%endif
--without-system-apache-commons \
--without-system-beanshell \
--without-system-hsqldb \
--without-system-jfreereport \
--without-system-servlet-api
%endif
# prebuilt stuff
(
sed '/SOLARVER/!d' config_host.mk > "${RPM_BUILD_ROOT}/config_host.mk.parsed"
sed '/INPATH/!d' config_host.mk >> "${RPM_BUILD_ROOT}/config_host.mk.parsed"
. "${RPM_BUILD_ROOT}/config_host.mk.parsed"
# hack to add icons for helpcontent that is build separately
mkdir -p $SOLARVER/$INPATH/res/img
perl helpcontent2/helpers/create_ilst.pl -dir=icon-themes/galaxy/res/helpimg >$SOLARVER/$INPATH/res/img/helpimg.ilst
# copy prebuilt extensions into solver
mkdir -p $SOLARVER/$INPATH/bin
install -m 644 $RPM_SOURCE_DIR/*-gdocs_%{gdocs_version}_modified.oxt $SOLARVER/$INPATH/bin/gdocs.oxt
install -m 644 $RPM_SOURCE_DIR/*-numbertext_%{numbertext_version}.oxt $SOLARVER/$INPATH/bin/numbertext.oxt
)
# hack to correctly bootstrap python stuff with system python, (deb#501028, i#90701)
sed -i -e "s|@INSTALLDIR@|%lo_prefix/%lo_home|" pyuno/source/module/uno.py scripting/source/pyprov/officehelper.py
# hard link binaries in the build tree; it might save several GBs on the disk and is faster
export gb_Deliver_HARDLINK=1
# FIXME: try to finish build even with potential random build crashes
make || make || make
%install
%ifarch x86_64 ppc
%if 0%{?suse_version} && 0%{?suse_version} <= 01020
# FIXME: move this to libreoffice-build
export JAVA_HOME=/usr
%endif
%endif
#
make DESTDIR=$RPM_BUILD_ROOT distro-pack-install
################
# update desktop files
builddir=`pwd`
cd $RPM_BUILD_ROOT%_datadir/applications
for desktop in * ; do
# relative link is needed by %%suse_update_desktop_file
relative_target=`readlink $desktop | sed "s|%lo_prefix|../../%_lib|"`
# FIXME: remove the libreoffice- prefix because the old desktop files are preferred in /etc/gnome_defaults.conf
desktop_new=`echo $desktop | sed -e "s/%lo_home-//"`
rm $desktop
sed -i -e "s|%_datadir/applications/$desktop|%_datadir/applications/$desktop_new|" $builddir/file-lists/*.txt
# finally, create the right link
ln -sf $relative_target $desktop_new
# enable startup notification (bnc#796875)
grep -q "NoDisplay=true" $desktop_new || sed -i "s/\(\[Desktop Entry\]\)/\1\nStartupNotify=true/" $desktop_new
# suse_update
app=`echo $desktop_new | sed "s/.desktop//"`
%suse_update_desktop_file $app
done
cd -
################
# save l10n files in l10n-prebuild package
l10n_prebuilt_list=file-lists/l10n-prebuilt.txt
mkdir -p $RPM_BUILD_ROOT/%lo_prefix/%lo_home/share/file-lists
echo "%dir %lo_prefix/%lo_home/share/file-lists" >file-lists/l10n-prebuilt.txt
for file_list in file-lists/lang_*.txt ; do
if test "$file_list" = "file-lists/lang_en_US_list.txt" ; then
cat $file_list >>file-lists/common_list.txt
else
cat $file_list >>file-lists/l10n-prebuilt.txt
cp $file_list $RPM_BUILD_ROOT%lo_prefix/%lo_home/share/file-lists
echo "%lo_prefix/%lo_home/share/$file_list" >>file-lists/l10n-prebuilt.txt
fi
done
################
# compat stuff for noarch packages
mkdir -p $RPM_BUILD_ROOT/%_datadir/%lo_home/program
install -m 755 $RPM_SOURCE_DIR/link-to-ooo-home $RPM_BUILD_ROOT%_datadir/%lo_home/
echo "%dir %_datadir/%lo_home" >>file-lists/common_list.txt
echo "%dir %_datadir/%lo_home/program" >>file-lists/common_list.txt
echo "%_datadir/%lo_home/link-to-ooo-home" >>file-lists/common_list.txt
################
# compat symlink to correctly uninstall OOo
mkdir -p $RPM_BUILD_ROOT%_datadir/ooo3
ln -sf ../libreoffice/link-to-ooo-home $RPM_BUILD_ROOT%_datadir/ooo3/link-to-ooo-home
echo "%dir %_datadir/ooo3" >>file-lists/common_list.txt
echo "%_datadir/ooo3/link-to-ooo-home" >>file-lists/common_list.txt
################
# helper script for noarch packages
# add missing directories to the file list
for dir in `find $RPM_BUILD_ROOT/%_datadir/icons/gnome -type d` ; do
dir=`echo $dir | sed -e "s|$RPM_BUILD_ROOT||"`
echo "%dir $dir" >>file-lists/common_list.txt
done
echo "%dir %_datadir/application-registry" >>file-lists/common_list.txt
echo "%dir %_datadir/mime-info" >>file-lists/common_list.txt
echo "%dir %_datadir/mimelnk" >>file-lists/common_list.txt
echo "%dir %_datadir/mimelnk/application" >>file-lists/common_list.txt
################
# compat symlinks for the old main icon (bnc#724087)
icon_found=
for icon in `find $RPM_BUILD_ROOT/%_datadir/icons -name libreoffice-main.png` ; do
icon_found=1
icon_name=$(basename $icon)
icon_dir=$(dirname $icon | sed -e "s|^$RPM_BUILD_ROOT||")
ln -sf $icon_name $RPM_BUILD_ROOT/$icon_dir/ooo-gulls.png
echo "$icon_dir/ooo-gulls.png" >>file-lists/common_list.txt
done
test -z "$icon_found" && echo "ERROR: Can't find compat icon for ooo-gulls.png" && exit 1;
################
# common helpcontent files
# create symlinks to /usr/share for noarch help packages
mkdir -p $RPM_BUILD_ROOT/%lo_prefix/%lo_home/help
mkdir -p $RPM_BUILD_ROOT/%_datadir/%lo_home/help
echo "%dir %lo_prefix/%lo_home/help" >>file-lists/common_list.txt
echo "%dir %_datadir/%lo_home/help" >>file-lists/common_list.txt
for file in idxcaption.xsl idxcontent.xsl main_transform.xsl ; do
install -m 644 solver/unxlng*.pro/bin/$file $RPM_BUILD_ROOT/%lo_prefix/%lo_home/help
ln -sf %lo_prefix/%lo_home/help/$file $RPM_BUILD_ROOT/%_datadir/%lo_home/help
echo "%lo_prefix/%lo_home/help/$file" >>file-lists/common_list.txt
echo "%_datadir/%lo_home/help/$file" >>file-lists/common_list.txt
done
################
# branding will be in separate packages
# first check wheter the prebuilt sofficerc is still the same
if ! diff $RPM_BUILD_ROOT%lo_prefix/%lo_home/program/sofficerc $RPM_SOURCE_DIR/sofficerc-upstream ; then
echo "Error: The file \"sofficerc\" has changed in the sources"
echo " Please, update the prebuilt variant in $RPM_SOURCE_DIR/sofficerc-upstream"
exit 1;
fi
# replace files with symlinks to noarch packages
mkdir -p $RPM_BUILD_ROOT/%_datadir/%lo_home/program/shell
for file in sofficerc \
intro.png \
flat_logo.svg \
shell/about.svg \
shell/backing_left.png \
shell/backing_right.png \
shell/backing_rtl_left.png \
shell/backing_rtl_right.png \
shell/backing_space.png ; do
rm -f $RPM_BUILD_ROOT/%lo_prefix/%lo_home/program/$file
ln -sf %_datadir/%lo_home/program/$file $RPM_BUILD_ROOT/%lo_prefix/%lo_home/program/$file
# touch the target file to make brp-symlink happy; the touched files are not packaged
# it would be possible to disable the error using NO_BRP_STALE_LINK_ERROR=yes but the check is pretty useful to catch other errors
touch $RPM_BUILD_ROOT/%_datadir/%lo_home/program/$file
done
################
# extra background picture into the gallery
export galdir="%lo_prefix/%lo_home/share/gallery"
install -m 644 "$RPM_SOURCE_DIR/Draft.jpg" "$RPM_BUILD_ROOT$galdir/www-back/"
echo "$galdir/www-back/Draft.jpg" >>file-lists/common_list.txt
# make sure that the existing galleries can be modified
chmod 644 $RPM_BUILD_ROOT$galdir/sg*.???
# LC_ALL=en_US.UTF-8 is necessary to make sure that the name "Backgrounds" is compared with the right localization
LC_ALL=en_US.UTF-8 $RPM_BUILD_ROOT%lo_prefix/%lo_home/program/gengal -headless --name "Backgrounds" --path "$RPM_BUILD_ROOT$galdir" --destdir "$RPM_BUILD_ROOT" "$RPM_BUILD_ROOT$galdir/www-back/Draft.jpg" || exit 1;
################
# FIXME: fast hack to solve a customer issue, n#364523
# we need a more generic solution
ln -sf acor_fr-FR.dat $RPM_BUILD_ROOT%lo_prefix/%lo_home/share/autocorr/acor_fr-CA.dat
echo "%lo_prefix/%lo_home/share/autocorr/acor_fr-CA.dat" >>file-lists/common_list.txt
################
# helper script to create libstlport compat symlink (bnc#458952)
%ifarch %ix86
cat << EOF > $RPM_BUILD_ROOT%lo_prefix/%lo_home/ure/bin/create-libstlport-compat-links
#!/bin/sh
# helper script to create compat link needed to run upstream extensions (bnc#458952)
if ! test -L %_libdir/libstlport_gcc.so -a -r %_libdir/libstlport_gcc.so ; then
lib_name=\`ls /usr/lib/libstlport_gcc.so.4* 2>/dev/null | tail -n 1\`
if test -n "\$lib_name" -a -r "\$lib_name" ; then
lib_name=\`basename \$lib_name\`
rm -f %_libdir/libstlport_gcc.so
ln -sf \$lib_name %_libdir/libstlport_gcc.so
fi
fi
EOF
chmod 755 $RPM_BUILD_ROOT%lo_prefix/%lo_home/ure/bin/create-libstlport-compat-links
echo "%lo_prefix/%lo_home/ure/bin/create-libstlport-compat-links" >>file-lists/common_list.txt
%endif
################
# helper script to update budled extensions cache
mkdir -p $RPM_BUILD_ROOT/%_prefix/sbin
cat << EOF > $RPM_BUILD_ROOT/%_prefix/sbin/unopkg-sync-bundled
#!/bin/sh
# this script exists because it might be called by some packages with extensions
# it has been obsolete since LO-3.6.1, August 2012
# do not crate the cache because it is not secure
# rather remove it (fdo#53006, fdo#51252)
bundled_cache="%lo_prefix/%lo_home/share/prereg/bundled"
test -d "$bundled_cache" && rm -rf "$bundled_cache"/* || true;
exit 0
EOF
chmod 755 $RPM_BUILD_ROOT%_prefix/sbin/unopkg-sync-bundled
echo "%_prefix/sbin/unopkg-sync-bundled" >>file-lists/common_list.txt
################
# Symlink uno.py and unohelper.py so that python can find them
mkdir -p $RPM_BUILD_ROOT%python_sitelib
ln -s %_libdir/libreoffice/program/uno.py $RPM_BUILD_ROOT%python_sitelib/uno.py
ln -s %_libdir/libreoffice/program/unohelper.py $RPM_BUILD_ROOT%python_sitelib/unohelper.py
################
# try to save some more space before creating rpms
%if %save_space == 1
rm -rf translations/source
%endif
%fdupes $RPM_BUILD_ROOT/usr
%clean
rm -rf $RPM_BUILD_ROOT
%pre
# do not crate cache for bundled extensions because it is not secure
# rather remove it (fdo#53006, fdo#51252, bnc#769448)
bundled_cache="%lo_prefix/%lo_home/share/prereg/bundled"
test -d "$bundled_cache" && rm -rf "$bundled_cache"/* || true;
%post
/sbin/ldconfig
%if %suse_version > 1130
%mime_database_post
%desktop_database_post
%icon_theme_cache_post
%else
test -f /usr/bin/update-mime-database && /usr/bin/update-mime-database %{_datadir}/mime > /dev/null || :
test -f /usr/bin/update-desktop-database && /usr/bin/update-desktop-database > /dev/null || :
test -f /sbin/conf.d/SuSEconfig.gtk2 && SuSEconfig --module gtk2 > /dev/null || :
test -f /sbin/conf.d/SuSEconfig.glib2 && SuSEconfig --module glib2 > /dev/null || :
%endif
# do not crate the cache because it is not secure
# remove the system cache for bundled extensions; it is not secure (fdo#53006, fdo#51252)
# it has not been created since LO-3.6.1, August 2012
bundled_cache="%lo_prefix/%lo_home/share/prereg/bundled"
test -d "$bundled_cache" && rm -rf "$bundled_cache"/* || true;
exit 0
%preun
test "$1" = "0" && rm -rf ./%lo_prefix/%lo_home/share/uno_packages/cache || true
%postun
/sbin/ldconfig
%if %suse_version > 1130
%icon_theme_cache_postun
%desktop_database_postun
%mime_database_postun
%else
test -f /usr/bin/update-mime-database && /usr/bin/update-mime-database %{_datadir}/mime > /dev/null || :
test -f /usr/bin/update-desktop-database && /usr/bin/update-desktop-database > /dev/null || :
test -f /sbin/conf.d/SuSEconfig.gtk2 && SuSEconfig --module gtk2 > /dev/null || :
test -f /sbin/conf.d/SuSEconfig.glib2 && SuSEconfig --module glib2 > /dev/null || :
%endif
#
%ifarch %ix86
if test $1 = 0 ; then
# LO is removed => remove the link as well if it is not created by stlport-devel package (bnc#458952)
if test -L %_libdir/libstlport_gcc.so -a ! -r %_prefix/include/stlport/ctime ; then
rm -f %_libdir/libstlport_gcc.so
fi
fi
%endif
exit 0
%posttrans
%ifarch %ix86
# the compat link was %%ghost in old OOo-ure packages, so it might be removed also during OOo-ure update (bnc#458952)
if test -f %lo_prefix/%lo_home/ure/bin/javaldx ; then
%lo_prefix/%lo_home/ure/bin/create-libstlport-compat-links || true;
fi
%endif
%ifarch %ix86
%triggerin -- mysql-connector-java
%lo_prefix/%lo_home/program/java-set-classpath /usr/share/java/mysql-connector-java.jar || true
%triggerpostun -- mysql-connector-java
%lo_prefix/%lo_home/program/java-set-classpath /usr/share/java/mysql-connector-java.jar || true
%triggerin -- libstlport_gcc4
# create compat link needed to run upstream extensions (bnc#458952)
%lo_prefix/%lo_home/ure/bin/create-libstlport-compat-links || true;
%endif
%ifarch %ix86
%triggerpostun -- libstlport_gcc4-devel
# create compat link needed to run upstream extensions (bnc#458952)
%lo_prefix/%lo_home/ure/bin/create-libstlport-compat-links || true;
%endif
%ifarch %ix86
%triggerpostun -- libstlport_gcc4
# remove compat link needed to run upstream extensions (bnc#458952)
if test $2 = 0 ; then
if test -L %_libdir/libstlport_gcc.so -a ! -r %_libdir/libstlport_gcc.so ; then
rm -f %_libdir/libstlport_gcc.so
fi
fi
exit 0
%endif
#####################
# base
%post base
%if %suse_version > 1130
%desktop_database_post
%else
test -f /usr/bin/update-desktop-database && /usr/bin/update-desktop-database > /dev/null || :
test -f /sbin/conf.d/SuSEconfig.glib2 && SuSEconfig --module glib2 > /dev/null || :
%endif
exit 0
%postun base
%if %suse_version > 1130
%desktop_database_postun
%else
test -f /usr/bin/update-desktop-database && /usr/bin/update-desktop-database > /dev/null || :
test -f /sbin/conf.d/SuSEconfig.glib2 && SuSEconfig --module glib2 > /dev/null || :
%endif
exit 0
#####################
# calc
%post calc
%if %suse_version > 1130
%desktop_database_post
%else
test -f /usr/bin/update-desktop-database && /usr/bin/update-desktop-database > /dev/null || :
test -f /sbin/conf.d/SuSEconfig.glib2 && SuSEconfig --module glib2 > /dev/null || :
%endif
exit 0
%postun calc
%if %suse_version > 1130
%desktop_database_postun
%else
test -f /usr/bin/update-desktop-database && /usr/bin/update-desktop-database > /dev/null || :
test -f /sbin/conf.d/SuSEconfig.glib2 && SuSEconfig --module glib2 > /dev/null || :
%endif
exit 0
#####################
# draw
%post draw
%if %suse_version > 1130
%desktop_database_post
%else
test -f /usr/bin/update-desktop-database && /usr/bin/update-desktop-database > /dev/null || :
test -f /sbin/conf.d/SuSEconfig.glib2 && SuSEconfig --module glib2 > /dev/null || :
%endif
exit 0
%postun draw
%if %suse_version > 1130
%desktop_database_postun
%else
test -f /usr/bin/update-desktop-database && /usr/bin/update-desktop-database > /dev/null || :
test -f /sbin/conf.d/SuSEconfig.glib2 && SuSEconfig --module glib2 > /dev/null || :
%endif
exit 0
#####################
# math
%post math
%if %suse_version > 1130
%desktop_database_post
%else
test -f /usr/bin/update-desktop-database && /usr/bin/update-desktop-database > /dev/null || :
test -f /sbin/conf.d/SuSEconfig.glib2 && SuSEconfig --module glib2 > /dev/null || :
%endif
exit 0
%postun math
%if %suse_version > 1130
%desktop_database_postun
%else
test -f /usr/bin/update-desktop-database && /usr/bin/update-desktop-database > /dev/null || :
test -f /sbin/conf.d/SuSEconfig.glib2 && SuSEconfig --module glib2 > /dev/null || :
%endif
exit 0
#####################
# impress
%post impress
%if %suse_version > 1130
%desktop_database_post
%else
test -f /usr/bin/update-desktop-database && /usr/bin/update-desktop-database > /dev/null || :
test -f /sbin/conf.d/SuSEconfig.glib2 && SuSEconfig --module glib2 > /dev/null || :
%endif
exit 0
%postun impress
%if %suse_version > 1130
%desktop_database_postun
%else
test -f /usr/bin/update-desktop-database && /usr/bin/update-desktop-database > /dev/null || :
test -f /sbin/conf.d/SuSEconfig.glib2 && SuSEconfig --module glib2 > /dev/null || :
%endif
exit 0
#####################
# writer
%post writer
%if %suse_version > 1130
%desktop_database_post
%else
test -f /usr/bin/update-desktop-database && /usr/bin/update-desktop-database > /dev/null || :
test -f /sbin/conf.d/SuSEconfig.glib2 && SuSEconfig --module glib2 > /dev/null || :
%endif
exit 0
%postun writer
%if %suse_version > 1130
%desktop_database_postun
%else
test -f /usr/bin/update-desktop-database && /usr/bin/update-desktop-database > /dev/null || :
test -f /sbin/conf.d/SuSEconfig.glib2 && SuSEconfig --module glib2 > /dev/null || :
%endif
exit 0
# base-drivers-postgresql
%post base-drivers-postgresql
if test -f %lo_prefix/ooo3/share/extension/install/postgresql-sdbc-*.zip ; then
echo
echo "WARNING: Please ignore the following error about the extension:"
echo "WARNING: org.openoffice.legacy.postgresql-sdbc-0.7.x.zip"
echo "WARNING: It is printed by the old OpenOffice_org package. The extension cannot"
echo "WARNING: be unregistered from the OOo cache because unopkg tool already"
echo "WARNING: works with the LO cache. The LO installation will be correct!"
echo
fi
# base
%post base-extensions
if test -f %ooo_prefix/ooo3/share/extension/install/report-builder.oxt ; then
echo
echo "WARNING: Please ignore the following error about the extension:"
echo "WARNING: com.sun.reportdesigner"
echo "WARNING: It is printed by the old OpenOffice_org package. The extension cannot"
echo "WARNING: be unregistered from the OOo cache because unopkg tool already"
echo "WARNING: works with the LO cache. The LO installation will be correct!"
echo
fi
if test -f %ooo_prefix/ooo3/share/extension/install/mysql-connector-ooo.oxt ; then
echo
echo "WARNING: Please ignore the following error about the extension:"
echo "WARNING: com.sun.star.mysql-connector-ooo"
echo "WARNING: It is printed by the old OpenOffice_org package. The extension cannot"
echo "WARNING: be unregistered from the OOo cache because unopkg tool already"
echo "WARNING: works with the LO cache. The LO installation will be correct!"
echo
fi
# MySQL driver
%if 0%{?suse_version} >= 01120
%post base-drivers-mysql
if test -f %ooo_prefix/ooo3/share/extension/install/mysql-connector-ooo.oxt ; then
echo
echo "WARNING: Please ignore the following error about the extension:"
echo "WARNING: com.sun.star.mysql-connector-ooo"
echo "WARNING: It is printed by the old OpenOffice_org package. The extension cannot"
echo "WARNING: be unregistered from the OOo cache because unopkg tool already"
echo "WARNING: works with the LO cache. The LO installation will be correct!"
echo
fi
%endif
# calc
%post calc-extensions
if test -f %ooo_prefix/ooo3/share/extension/install/ConvertTextToNumber-*.oxt ; then
echo
echo "WARNING: Please ignore the following error about the extension:"
echo "WARNING: nl.nouenoff.ct2n"
echo "WARNING: It is printed by the old OpenOffice_org package. The extension cannot"
echo "WARNING: be unregistered from the OOo cache because unopkg tool already"
echo "WARNING: works with the LO cache. The LO installation will be correct!"
echo
fi
if test -f %ooo_prefix/ooo3/share/extension/install/NLPSolver.oxt ; then
echo
echo "WARNING: Please ignore the following error about the extension:"
echo "WARNING: com.sun.star.comp.Calc.NLPSolver"
echo "WARNING: It is printed by the old OpenOffice_org package. The extension cannot"
echo "WARNING: be unregistered from the OOo cache because unopkg tool already"
echo "WARNING: works with the LO cache. The LO installation will be correct!"
echo
fi
if test -f %ooo_prefix/ooo3/share/extension/install/numbertext-*.oxt ; then
echo
echo "WARNING: Please ignore the following error about the extension:"
echo "WARNING: org.numbertext-calc-addin"
echo "WARNING: It is printed by the old OpenOffice_org package. The extension cannot"
echo "WARNING: be unregistered from the OOo cache because unopkg tool already"
echo "WARNING: works with the LO cache. The LO installation will be correct!"
echo
fi
# draw
%post draw-extensions
if test -f %ooo_prefix/ooo3/share/extension/install/pdfimport.oxt ; then
echo
echo "WARNING: Please ignore the following error about the extension:"
echo "WARNING: com.sun.star.PDFImport"
echo "WARNING: It is printed by the old OpenOffice_org package. The extension cannot"
echo "WARNING: be unregistered from the OOo cache because unopkg tool already"
echo "WARNING: works with the LO cache. The LO installation will be correct!"
echo
fi
# impress
%post impress-extensions
if test -f %ooo_prefix/ooo3/share/extension/install/presentation-minimizer.oxt ; then
echo
echo "WARNING: Please ignore the following error about the extension:"
echo "WARNING: com.sun.star.PresentationMinimizer"
echo "WARNING: It is printed by the old OpenOffice_org package. The extension cannot"
echo "WARNING: be unregistered from the OOo cache because unopkg tool already"
echo "WARNING: works with the LO cache. The LO installation will be correct!"
echo
fi
if test -f %ooo_prefix/ooo3/share/extension/install/presenter-screen.oxt ; then
echo
echo "WARNING: Please ignore the following error about the extension:"
echo "WARNING: com.sun.PresenterScreen"
echo "WARNING: It is printed by the old OpenOffice_org package. The extension cannot"
echo "WARNING: be unregistered from the OOo cache because unopkg tool already"
echo "WARNING: works with the LO cache. The LO installation will be correct!"
echo
fi
# writer
%post writer-extensions
if test -f %ooo_prefix/ooo3/share/extension/install/gdocs*.oxt ; then
echo
echo "WARNING: Please ignore the following error about the extension:"
echo "WARNING: org.openoffice.gdocs.oxt"
echo "WARNING: It is printed by the old OpenOffice_org package. The extension cannot"
echo "WARNING: be unregistered from the OOo cache because unopkg tool already"
echo "WARNING: works with the LO cache. The LO installation will be correct!"
echo
fi
if test -f %ooo_prefix/ooo3/share/extension/install/wiki-publisher.oxt ; then
echo
echo "WARNING: Please ignore the following error about the extension:"
echo "WARNING: com.sun.wiki-publisher"
echo "WARNING: It is printed by the old OpenOffice_org package. The extension cannot"
echo "WARNING: be unregistered from the OOo cache because unopkg tool already"
echo "WARNING: works with the LO cache. The LO installation will be correct!"
echo
fi
#######################
# file lists
%files -f file-lists/common_list.txt
%defattr(-,root,root)
# ignore helper files for brp-symlink check
%exclude %_datadir/%lo_home/program/sofficerc
%exclude %_datadir/%lo_home/program/flat_logo.svg
%exclude %_datadir/%lo_home/program/*.png
%exclude %_datadir/%lo_home/program/shell/*.png
%exclude %_datadir/%lo_home/program/shell/*.svg
# such a big icons are not provided by other packages
# FIXME: last time checked on openSUSE-12.2
%dir %_datadir/icons/hicolor/512x512
%dir %_datadir/icons/hicolor/512x512/apps
%dir %_datadir/icons/hicolor/512x512/mimetypes
%files -f file-lists/base_list.txt base
%defattr(-,root,root)
%files -f file-lists/calc_list.txt calc
%defattr(-,root,root)
%files -f file-lists/draw_list.txt draw
%defattr(-,root,root)
%files -f file-lists/math_list.txt math
%defattr(-,root,root)
%files -f file-lists/impress_list.txt impress
%defattr(-,root,root)
%files -f file-lists/writer_list.txt writer
%defattr(-,root,root)
%files -f file-lists/postgresql_list.txt base-drivers-postgresql
%defattr(-,root,root)
%files -f file-lists/filters_list.txt filters-optional
%defattr(-,root,root)
%files -f file-lists/mailmerge_list.txt mailmerge
%defattr(-,root,root)
%if 0%{?suse_version} <= 01130
%files -f file-lists/mono_list.txt mono
%defattr(-,root,root)
%if %build_mono == 0
%doc README-mono.txt
%endif
%endif
%files -f file-lists/pyuno_list.txt pyuno
%defattr(-,root,root)
%python_sitelib/uno.py
%python_sitelib/unohelper.py
%files -f file-lists/gnome_list.txt gnome
%defattr(-,root,root)
%files -f file-lists/kde_list.txt kde
%defattr(-,root,root)
%files -f file-lists/kde4_list.txt kde4
%defattr(-,root,root)
%files -f file-lists/officebean_list.txt officebean
%defattr(-,root,root)
%if %lo_build_sdk == yes
%files -f file-lists/sdk_list.txt sdk
%defattr(-,root,root)
%files -f file-lists/sdk_doc_list.txt sdk-doc
%defattr(-,root,root)
%endif
%files base-extensions
%defattr(-,root,root)
%lo_prefix/%lo_home/share/extensions/report-builder
%if 0%{?suse_version} && 0%{?suse_version} < 01120
%lo_prefix/%lo_home/share/extensions/mysql-connector-ooo
%endif
%if 0%{?suse_version} >= 01120
%files base-drivers-mysql
%defattr(-,root,root)
%lo_prefix/%lo_home/share/extensions/mysql-connector-ooo
%endif
%files calc-extensions
%defattr(-,root,root)
%doc README-scsolver.txt
%lo_prefix/%lo_home/share/extensions/ConvertTextToNumber
%lo_prefix/%lo_home/share/extensions/nlpsolver
%lo_prefix/%lo_home/share/extensions/numbertext
%files draw-extensions
%defattr(-,root,root)
%doc README-draw-extensions.txt
%files impress-extensions
%defattr(-,root,root)
%lo_prefix/%lo_home/share/extensions/presentation-minimizer
%files writer-extensions
%defattr(-,root,root)
%lo_prefix/%lo_home/share/extensions/gdocs
%lo_prefix/%lo_home/share/extensions/wiki-publisher
%files -f file-lists/icon_themes_prebuilt.txt icon-themes-prebuilt
%defattr(-,root,root)
%files -f file-lists/l10n-prebuilt.txt l10n-prebuilt
%defattr(-,root,root)
%changelog